source: Makefile.in @ 5d6ce1f

ADTaaron-thesisarm-ehast-experimentalcleanup-dtorsctordeferred_resndemanglerenumforall-pointer-decaygc_noraiijacob/cs343-translationjenkins-sandboxmemorynew-astnew-ast-unique-exprnew-envno_listpersistent-indexerpthread-emulationqualifiedEnumresolv-newstringwith_gc
Last change on this file since 5d6ce1f was 5d6ce1f, checked in by Peter A. Buhr <pabuhr@…>, 9 years ago

fix configure.ac

  • Property mode set to 100644
File size: 22.9 KB
Line 
1# Makefile.in generated by automake 1.11.3 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5# 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
6# Foundation, Inc.
7# This Makefile.in is free software; the Free Software Foundation
8# gives unlimited permission to copy and/or distribute it,
9# with or without modifications, as long as this notice is preserved.
10
11# This program is distributed in the hope that it will be useful,
12# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14# PARTICULAR PURPOSE.
15
16@SET_MAKE@
17VPATH = @srcdir@
18pkgdatadir = $(datadir)/@PACKAGE@
19pkgincludedir = $(includedir)/@PACKAGE@
20pkglibdir = $(libdir)/@PACKAGE@
21pkglibexecdir = $(libexecdir)/@PACKAGE@
22am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
23install_sh_DATA = $(install_sh) -c -m 644
24install_sh_PROGRAM = $(install_sh) -c
25install_sh_SCRIPT = $(install_sh) -c
26INSTALL_HEADER = $(INSTALL_DATA)
27transform = $(program_transform_name)
28NORMAL_INSTALL = :
29PRE_INSTALL = :
30POST_INSTALL = :
31NORMAL_UNINSTALL = :
32PRE_UNINSTALL = :
33POST_UNINSTALL = :
34subdir = .
35DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
36        $(srcdir)/Makefile.in $(srcdir)/config.h.in \
37        $(top_srcdir)/configure $(top_srcdir)/driver/Makefile.in \
38        $(top_srcdir)/libcfa/Makefile.in $(top_srcdir)/src/Makefile.in \
39        $(top_srcdir)/src/examples/Makefile.in INSTALL TODO install-sh \
40        missing mkinstalldirs
41ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
42am__aclocal_m4_deps = $(top_srcdir)/configure.ac
43am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
44        $(ACLOCAL_M4)
45am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
46 configure.lineno config.status.lineno
47mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
48CONFIG_HEADER = config.h
49CONFIG_CLEAN_FILES = src/Makefile driver/Makefile libcfa/Makefile \
50        src/examples/Makefile
51CONFIG_CLEAN_VPATH_FILES =
52SOURCES =
53DIST_SOURCES =
54RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
55        html-recursive info-recursive install-data-recursive \
56        install-dvi-recursive install-exec-recursive \
57        install-html-recursive install-info-recursive \
58        install-pdf-recursive install-ps-recursive install-recursive \
59        installcheck-recursive installdirs-recursive pdf-recursive \
60        ps-recursive uninstall-recursive
61RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
62  distclean-recursive maintainer-clean-recursive
63AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
64        $(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
65        distdir dist dist-all distcheck
66ETAGS = etags
67CTAGS = ctags
68DIST_SUBDIRS = $(SUBDIRS)
69DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
70distdir = $(PACKAGE)-$(VERSION)
71top_distdir = $(distdir)
72am__remove_distdir = \
73  if test -d "$(distdir)"; then \
74    find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
75      && rm -rf "$(distdir)" \
76      || { sleep 5 && rm -rf "$(distdir)"; }; \
77  else :; fi
78am__relativize = \
79  dir0=`pwd`; \
80  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
81  sed_rest='s,^[^/]*/*,,'; \
82  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
83  sed_butlast='s,/*[^/]*$$,,'; \
84  while test -n "$$dir1"; do \
85    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
86    if test "$$first" != "."; then \
87      if test "$$first" = ".."; then \
88        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
89        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
90      else \
91        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
92        if test "$$first2" = "$$first"; then \
93          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
94        else \
95          dir2="../$$dir2"; \
96        fi; \
97        dir0="$$dir0"/"$$first"; \
98      fi; \
99    fi; \
100    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
101  done; \
102  reldir="$$dir2"
103DIST_ARCHIVES = $(distdir).tar.gz
104GZIP_ENV = --best
105distuninstallcheck_listfiles = find . -type f -print
106am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
107  | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
108distcleancheck_listfiles = find . -type f -print
109ACLOCAL = @ACLOCAL@
110ALLOCA = @ALLOCA@
111AMTAR = @AMTAR@
112AUTOCONF = @AUTOCONF@
113AUTOHEADER = @AUTOHEADER@
114AUTOMAKE = @AUTOMAKE@
115AWK = @AWK@
116BACKEND_CC = @BACKEND_CC@
117CC = @CC@
118CCDEPMODE = @CCDEPMODE@
119CFA_BINDIR = @CFA_BINDIR@
120CFA_INCDIR = @CFA_INCDIR@
121CFA_LIBDIR = @CFA_LIBDIR@
122CFA_PREFIX = @CFA_PREFIX@
123CFLAGS = @CFLAGS@
124CPP = @CPP@
125CPPFLAGS = @CPPFLAGS@
126CXX = @CXX@
127CXXDEPMODE = @CXXDEPMODE@
128CXXFLAGS = @CXXFLAGS@
129CYGPATH_W = @CYGPATH_W@
130DEFS = @DEFS@
131DEPDIR = @DEPDIR@
132ECHO_C = @ECHO_C@
133ECHO_N = @ECHO_N@
134ECHO_T = @ECHO_T@
135EGREP = @EGREP@
136EXEEXT = @EXEEXT@
137GCC_PATH = @GCC_PATH@
138GREP = @GREP@
139INSTALL = @INSTALL@
140INSTALL_DATA = @INSTALL_DATA@
141INSTALL_PROGRAM = @INSTALL_PROGRAM@
142INSTALL_SCRIPT = @INSTALL_SCRIPT@
143INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
144LDFLAGS = @LDFLAGS@
145LIBOBJS = @LIBOBJS@
146LIBS = @LIBS@
147LTLIBOBJS = @LTLIBOBJS@
148MAKEINFO = @MAKEINFO@
149MKDIR_P = @MKDIR_P@
150OBJEXT = @OBJEXT@
151PACKAGE = @PACKAGE@
152PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
153PACKAGE_NAME = @PACKAGE_NAME@
154PACKAGE_STRING = @PACKAGE_STRING@
155PACKAGE_TARNAME = @PACKAGE_TARNAME@
156PACKAGE_URL = @PACKAGE_URL@
157PACKAGE_VERSION = @PACKAGE_VERSION@
158PATH_SEPARATOR = @PATH_SEPARATOR@
159SET_MAKE = @SET_MAKE@
160SHELL = @SHELL@
161STRIP = @STRIP@
162VERSION = @VERSION@
163abs_builddir = @abs_builddir@
164abs_srcdir = @abs_srcdir@
165abs_top_builddir = @abs_top_builddir@
166abs_top_srcdir = @abs_top_srcdir@
167ac_ct_CC = @ac_ct_CC@
168ac_ct_CXX = @ac_ct_CXX@
169am__include = @am__include@
170am__leading_dot = @am__leading_dot@
171am__quote = @am__quote@
172am__tar = @am__tar@
173am__untar = @am__untar@
174bindir = @bindir@
175build_alias = @build_alias@
176builddir = @builddir@
177datadir = @datadir@
178datarootdir = @datarootdir@
179docdir = @docdir@
180dvidir = @dvidir@
181exec_prefix = @exec_prefix@
182host_alias = @host_alias@
183htmldir = @htmldir@
184includedir = @includedir@
185infodir = @infodir@
186install_sh = @install_sh@
187libdir = @libdir@
188libexecdir = @libexecdir@
189localedir = @localedir@
190localstatedir = @localstatedir@
191mandir = @mandir@
192mkdir_p = @mkdir_p@
193oldincludedir = @oldincludedir@
194pdfdir = @pdfdir@
195prefix = @prefix@
196program_transform_name = @program_transform_name@
197psdir = @psdir@
198sbindir = @sbindir@
199sharedstatedir = @sharedstatedir@
200srcdir = @srcdir@
201sysconfdir = @sysconfdir@
202target_alias = @target_alias@
203top_build_prefix = @top_build_prefix@
204top_builddir = @top_builddir@
205top_srcdir = @top_srcdir@
206SUBDIRS = driver src libcfa  # order important, src before libcfa because cfa-cpp used to build prelude
207
208# non-source files
209EXTRA_DIST = Docs
210all: config.h
211        $(MAKE) $(AM_MAKEFLAGS) all-recursive
212
213.SUFFIXES:
214am--refresh: Makefile
215        @:
216$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
217        @for dep in $?; do \
218          case '$(am__configure_deps)' in \
219            *$$dep*) \
220              echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
221              $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
222                && exit 0; \
223              exit 1;; \
224          esac; \
225        done; \
226        echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
227        $(am__cd) $(top_srcdir) && \
228          $(AUTOMAKE) --foreign Makefile
229.PRECIOUS: Makefile
230Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
231        @case '$?' in \
232          *config.status*) \
233            echo ' $(SHELL) ./config.status'; \
234            $(SHELL) ./config.status;; \
235          *) \
236            echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
237            cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
238        esac;
239
240$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
241        $(SHELL) ./config.status --recheck
242
243$(top_srcdir)/configure:  $(am__configure_deps)
244        $(am__cd) $(srcdir) && $(AUTOCONF)
245$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
246        $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
247$(am__aclocal_m4_deps):
248
249config.h: stamp-h1
250        @if test ! -f $@; then rm -f stamp-h1; else :; fi
251        @if test ! -f $@; then $(MAKE) $(AM_MAKEFLAGS) stamp-h1; else :; fi
252
253stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
254        @rm -f stamp-h1
255        cd $(top_builddir) && $(SHELL) ./config.status config.h
256$(srcdir)/config.h.in:  $(am__configure_deps)
257        ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
258        rm -f stamp-h1
259        touch $@
260
261distclean-hdr:
262        -rm -f config.h stamp-h1
263src/Makefile: $(top_builddir)/config.status $(top_srcdir)/src/Makefile.in
264        cd $(top_builddir) && $(SHELL) ./config.status $@
265driver/Makefile: $(top_builddir)/config.status $(top_srcdir)/driver/Makefile.in
266        cd $(top_builddir) && $(SHELL) ./config.status $@
267libcfa/Makefile: $(top_builddir)/config.status $(top_srcdir)/libcfa/Makefile.in
268        cd $(top_builddir) && $(SHELL) ./config.status $@
269src/examples/Makefile: $(top_builddir)/config.status $(top_srcdir)/src/examples/Makefile.in
270        cd $(top_builddir) && $(SHELL) ./config.status $@
271
272# This directory's subdirectories are mostly independent; you can cd
273# into them and run `make' without going through this Makefile.
274# To change the values of `make' variables: instead of editing Makefiles,
275# (1) if the variable is set in `config.status', edit `config.status'
276#     (which will cause the Makefiles to be regenerated when you run `make');
277# (2) otherwise, pass the desired values on the `make' command line.
278$(RECURSIVE_TARGETS):
279        @fail= failcom='exit 1'; \
280        for f in x $$MAKEFLAGS; do \
281          case $$f in \
282            *=* | --[!k]*);; \
283            *k*) failcom='fail=yes';; \
284          esac; \
285        done; \
286        dot_seen=no; \
287        target=`echo $@ | sed s/-recursive//`; \
288        list='$(SUBDIRS)'; for subdir in $$list; do \
289          echo "Making $$target in $$subdir"; \
290          if test "$$subdir" = "."; then \
291            dot_seen=yes; \
292            local_target="$$target-am"; \
293          else \
294            local_target="$$target"; \
295          fi; \
296          ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
297          || eval $$failcom; \
298        done; \
299        if test "$$dot_seen" = "no"; then \
300          $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
301        fi; test -z "$$fail"
302
303$(RECURSIVE_CLEAN_TARGETS):
304        @fail= failcom='exit 1'; \
305        for f in x $$MAKEFLAGS; do \
306          case $$f in \
307            *=* | --[!k]*);; \
308            *k*) failcom='fail=yes';; \
309          esac; \
310        done; \
311        dot_seen=no; \
312        case "$@" in \
313          distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
314          *) list='$(SUBDIRS)' ;; \
315        esac; \
316        rev=''; for subdir in $$list; do \
317          if test "$$subdir" = "."; then :; else \
318            rev="$$subdir $$rev"; \
319          fi; \
320        done; \
321        rev="$$rev ."; \
322        target=`echo $@ | sed s/-recursive//`; \
323        for subdir in $$rev; do \
324          echo "Making $$target in $$subdir"; \
325          if test "$$subdir" = "."; then \
326            local_target="$$target-am"; \
327          else \
328            local_target="$$target"; \
329          fi; \
330          ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
331          || eval $$failcom; \
332        done && test -z "$$fail"
333tags-recursive:
334        list='$(SUBDIRS)'; for subdir in $$list; do \
335          test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
336        done
337ctags-recursive:
338        list='$(SUBDIRS)'; for subdir in $$list; do \
339          test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
340        done
341
342ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
343        list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
344        unique=`for i in $$list; do \
345            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
346          done | \
347          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
348              END { if (nonempty) { for (i in files) print i; }; }'`; \
349        mkid -fID $$unique
350tags: TAGS
351
352TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
353                $(TAGS_FILES) $(LISP)
354        set x; \
355        here=`pwd`; \
356        if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
357          include_option=--etags-include; \
358          empty_fix=.; \
359        else \
360          include_option=--include; \
361          empty_fix=; \
362        fi; \
363        list='$(SUBDIRS)'; for subdir in $$list; do \
364          if test "$$subdir" = .; then :; else \
365            test ! -f $$subdir/TAGS || \
366              set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
367          fi; \
368        done; \
369        list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
370        unique=`for i in $$list; do \
371            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
372          done | \
373          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
374              END { if (nonempty) { for (i in files) print i; }; }'`; \
375        shift; \
376        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
377          test -n "$$unique" || unique=$$empty_fix; \
378          if test $$# -gt 0; then \
379            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
380              "$$@" $$unique; \
381          else \
382            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
383              $$unique; \
384          fi; \
385        fi
386ctags: CTAGS
387CTAGS: ctags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
388                $(TAGS_FILES) $(LISP)
389        list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
390        unique=`for i in $$list; do \
391            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
392          done | \
393          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
394              END { if (nonempty) { for (i in files) print i; }; }'`; \
395        test -z "$(CTAGS_ARGS)$$unique" \
396          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
397             $$unique
398
399GTAGS:
400        here=`$(am__cd) $(top_builddir) && pwd` \
401          && $(am__cd) $(top_srcdir) \
402          && gtags -i $(GTAGS_ARGS) "$$here"
403
404distclean-tags:
405        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
406
407distdir: $(DISTFILES)
408        $(am__remove_distdir)
409        test -d "$(distdir)" || mkdir "$(distdir)"
410        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
411        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
412        list='$(DISTFILES)'; \
413          dist_files=`for file in $$list; do echo $$file; done | \
414          sed -e "s|^$$srcdirstrip/||;t" \
415              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
416        case $$dist_files in \
417          */*) $(MKDIR_P) `echo "$$dist_files" | \
418                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
419                           sort -u` ;; \
420        esac; \
421        for file in $$dist_files; do \
422          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
423          if test -d $$d/$$file; then \
424            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
425            if test -d "$(distdir)/$$file"; then \
426              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
427            fi; \
428            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
429              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
430              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
431            fi; \
432            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
433          else \
434            test -f "$(distdir)/$$file" \
435            || cp -p $$d/$$file "$(distdir)/$$file" \
436            || exit 1; \
437          fi; \
438        done
439        @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
440          if test "$$subdir" = .; then :; else \
441            test -d "$(distdir)/$$subdir" \
442            || $(MKDIR_P) "$(distdir)/$$subdir" \
443            || exit 1; \
444          fi; \
445        done
446        @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
447          if test "$$subdir" = .; then :; else \
448            dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
449            $(am__relativize); \
450            new_distdir=$$reldir; \
451            dir1=$$subdir; dir2="$(top_distdir)"; \
452            $(am__relativize); \
453            new_top_distdir=$$reldir; \
454            echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
455            echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
456            ($(am__cd) $$subdir && \
457              $(MAKE) $(AM_MAKEFLAGS) \
458                top_distdir="$$new_top_distdir" \
459                distdir="$$new_distdir" \
460                am__remove_distdir=: \
461                am__skip_length_check=: \
462                am__skip_mode_fix=: \
463                distdir) \
464              || exit 1; \
465          fi; \
466        done
467        -test -n "$(am__skip_mode_fix)" \
468        || find "$(distdir)" -type d ! -perm -755 \
469                -exec chmod u+rwx,go+rx {} \; -o \
470          ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
471          ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
472          ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
473        || chmod -R a+r "$(distdir)"
474dist-gzip: distdir
475        tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
476        $(am__remove_distdir)
477
478dist-bzip2: distdir
479        tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
480        $(am__remove_distdir)
481
482dist-lzip: distdir
483        tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
484        $(am__remove_distdir)
485
486dist-lzma: distdir
487        tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
488        $(am__remove_distdir)
489
490dist-xz: distdir
491        tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
492        $(am__remove_distdir)
493
494dist-tarZ: distdir
495        tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
496        $(am__remove_distdir)
497
498dist-shar: distdir
499        shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
500        $(am__remove_distdir)
501
502dist-zip: distdir
503        -rm -f $(distdir).zip
504        zip -rq $(distdir).zip $(distdir)
505        $(am__remove_distdir)
506
507dist dist-all: distdir
508        tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
509        $(am__remove_distdir)
510
511# This target untars the dist file and tries a VPATH configuration.  Then
512# it guarantees that the distribution is self-contained by making another
513# tarfile.
514distcheck: dist
515        case '$(DIST_ARCHIVES)' in \
516        *.tar.gz*) \
517          GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
518        *.tar.bz2*) \
519          bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
520        *.tar.lzma*) \
521          lzma -dc $(distdir).tar.lzma | $(am__untar) ;;\
522        *.tar.lz*) \
523          lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
524        *.tar.xz*) \
525          xz -dc $(distdir).tar.xz | $(am__untar) ;;\
526        *.tar.Z*) \
527          uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
528        *.shar.gz*) \
529          GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
530        *.zip*) \
531          unzip $(distdir).zip ;;\
532        esac
533        chmod -R a-w $(distdir); chmod a+w $(distdir)
534        mkdir $(distdir)/_build
535        mkdir $(distdir)/_inst
536        chmod a-w $(distdir)
537        test -d $(distdir)/_build || exit 0; \
538        dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
539          && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
540          && am__cwd=`pwd` \
541          && $(am__cd) $(distdir)/_build \
542          && ../configure --srcdir=.. --prefix="$$dc_install_base" \
543            $(AM_DISTCHECK_CONFIGURE_FLAGS) \
544            $(DISTCHECK_CONFIGURE_FLAGS) \
545          && $(MAKE) $(AM_MAKEFLAGS) \
546          && $(MAKE) $(AM_MAKEFLAGS) dvi \
547          && $(MAKE) $(AM_MAKEFLAGS) check \
548          && $(MAKE) $(AM_MAKEFLAGS) install \
549          && $(MAKE) $(AM_MAKEFLAGS) installcheck \
550          && $(MAKE) $(AM_MAKEFLAGS) uninstall \
551          && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
552                distuninstallcheck \
553          && chmod -R a-w "$$dc_install_base" \
554          && ({ \
555               (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
556               && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
557               && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
558               && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
559                    distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
560              } || { rm -rf "$$dc_destdir"; exit 1; }) \
561          && rm -rf "$$dc_destdir" \
562          && $(MAKE) $(AM_MAKEFLAGS) dist \
563          && rm -rf $(DIST_ARCHIVES) \
564          && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
565          && cd "$$am__cwd" \
566          || exit 1
567        $(am__remove_distdir)
568        @(echo "$(distdir) archives ready for distribution: "; \
569          list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
570          sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
571distuninstallcheck:
572        @test -n '$(distuninstallcheck_dir)' || { \
573          echo 'ERROR: trying to run $@ with an empty' \
574               '$$(distuninstallcheck_dir)' >&2; \
575          exit 1; \
576        }; \
577        $(am__cd) '$(distuninstallcheck_dir)' || { \
578          echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
579          exit 1; \
580        }; \
581        test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
582           || { echo "ERROR: files left after uninstall:" ; \
583                if test -n "$(DESTDIR)"; then \
584                  echo "  (check DESTDIR support)"; \
585                fi ; \
586                $(distuninstallcheck_listfiles) ; \
587                exit 1; } >&2
588distcleancheck: distclean
589        @if test '$(srcdir)' = . ; then \
590          echo "ERROR: distcleancheck can only run from a VPATH build" ; \
591          exit 1 ; \
592        fi
593        @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
594          || { echo "ERROR: files left in build directory after distclean:" ; \
595               $(distcleancheck_listfiles) ; \
596               exit 1; } >&2
597check-am: all-am
598check: check-recursive
599all-am: Makefile config.h
600installdirs: installdirs-recursive
601installdirs-am:
602install: install-recursive
603install-exec: install-exec-recursive
604install-data: install-data-recursive
605uninstall: uninstall-recursive
606
607install-am: all-am
608        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
609
610installcheck: installcheck-recursive
611install-strip:
612        if test -z '$(STRIP)'; then \
613          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
614            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
615              install; \
616        else \
617          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
618            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
619            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
620        fi
621mostlyclean-generic:
622
623clean-generic:
624
625distclean-generic:
626        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
627        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
628
629maintainer-clean-generic:
630        @echo "This command is intended for maintainers to use"
631        @echo "it deletes files that may require special tools to rebuild."
632clean: clean-recursive
633
634clean-am: clean-generic mostlyclean-am
635
636distclean: distclean-recursive
637        -rm -f $(am__CONFIG_DISTCLEAN_FILES)
638        -rm -f Makefile
639distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
640
641dvi: dvi-recursive
642
643dvi-am:
644
645html: html-recursive
646
647html-am:
648
649info: info-recursive
650
651info-am:
652
653install-data-am:
654
655install-dvi: install-dvi-recursive
656
657install-dvi-am:
658
659install-exec-am:
660
661install-html: install-html-recursive
662
663install-html-am:
664
665install-info: install-info-recursive
666
667install-info-am:
668
669install-man:
670
671install-pdf: install-pdf-recursive
672
673install-pdf-am:
674
675install-ps: install-ps-recursive
676
677install-ps-am:
678
679installcheck-am:
680
681maintainer-clean: maintainer-clean-recursive
682        -rm -f $(am__CONFIG_DISTCLEAN_FILES)
683        -rm -rf $(top_srcdir)/autom4te.cache
684        -rm -f Makefile
685maintainer-clean-am: distclean-am maintainer-clean-generic
686
687mostlyclean: mostlyclean-recursive
688
689mostlyclean-am: mostlyclean-generic
690
691pdf: pdf-recursive
692
693pdf-am:
694
695ps: ps-recursive
696
697ps-am:
698
699uninstall-am:
700
701.MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) all \
702        ctags-recursive install-am install-strip tags-recursive
703
704.PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
705        all all-am am--refresh check check-am clean clean-generic \
706        ctags ctags-recursive dist dist-all dist-bzip2 dist-gzip \
707        dist-lzip dist-lzma dist-shar dist-tarZ dist-xz dist-zip \
708        distcheck distclean distclean-generic distclean-hdr \
709        distclean-tags distcleancheck distdir distuninstallcheck dvi \
710        dvi-am html html-am info info-am install install-am \
711        install-data install-data-am install-dvi install-dvi-am \
712        install-exec install-exec-am install-html install-html-am \
713        install-info install-info-am install-man install-pdf \
714        install-pdf-am install-ps install-ps-am install-strip \
715        installcheck installcheck-am installdirs installdirs-am \
716        maintainer-clean maintainer-clean-generic mostlyclean \
717        mostlyclean-generic pdf pdf-am ps ps-am tags tags-recursive \
718        uninstall uninstall-am
719
720
721# Tell versions [3.59,3.63) of GNU make to not export all variables.
722# Otherwise a system limit (for SysV at least) may be exceeded.
723.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.